CREATE FUNCTION constructionRoutiere () RETURNS TRIGGER AS 
'
  DECLARE

    intersectionRoutiere geometry;

  BEGIN 
    select into intersectionRoutiere ST_intersection(v.the_geom, r.the_geom)
    from   villes v, routes r
    Where  st_intersects (V.the_geom, r.the_geom)
           and v.id = NEW.id;

    NEW.portionRoutiere:=intersectionRoutiere; 

    RETURN NEW;
  END; 
' 
LANGUAGE 'plpgsql'; 
